Data Fields
hand_motion_detection_handle Struct Reference

## Data Fields
hand_motion_detection_config_t | config
bool | prepare_needed
bool | has_detected
uint32_t | update_index
uint32_t | update_index_at_detection
acc_sensor_id_t | sensor_id
acc_config_t * | hand_motion_detection_sensor_config
acc_processing_t * | sensor_processing
acc_processing_metadata_t | sensor_processing_metadata
acc_detector_presence_processing_config_t * | hand_motion_detection_presence_processing_config
acc_detector_presence_processing_handle_t * | hand_motion_detection_presence_processor
acc_detector_presence_handle_t * | presence_detector
acc_detector_presence_metadata_t | presence_metadata
hand_motion_detection_app_mode_t | app_mode
uint16_t | hand_motion_detection_timeout_duration
uint16_t | hand_motion_detection_timer
uint16_t | detection_retention_duration

## Detailed Description

Definition at line 23 of file example_hand_motion_detection.c.

## Field Documentation

## ◆ app_mode

hand_motion_detection_app_mode_t hand_motion_detection_handle::app_mode

Definition at line 42 of file example_hand_motion_detection.c.

## ◆ config

hand_motion_detection_config_t hand_motion_detection_handle::config

Definition at line 25 of file example_hand_motion_detection.c.

## ◆ detection_retention_duration

uint16_t hand_motion_detection_handle::detection_retention_duration

Definition at line 45 of file example_hand_motion_detection.c.

## ◆ hand_motion_detection_presence_processing_config

acc_detector_presence_processing_config_t* hand_motion_detection_handle::hand_motion_detection_presence_processing_config

Definition at line 36 of file example_hand_motion_detection.c.

## ◆ hand_motion_detection_presence_processor

acc_detector_presence_processing_handle_t* hand_motion_detection_handle::hand_motion_detection_presence_processor

Definition at line 37 of file example_hand_motion_detection.c.

## ◆ hand_motion_detection_sensor_config

acc_config_t* hand_motion_detection_handle::hand_motion_detection_sensor_config

Definition at line 33 of file example_hand_motion_detection.c.

## ◆ hand_motion_detection_timeout_duration

uint16_t hand_motion_detection_handle::hand_motion_detection_timeout_duration

Definition at line 43 of file example_hand_motion_detection.c.

## ◆ hand_motion_detection_timer

uint16_t hand_motion_detection_handle::hand_motion_detection_timer

Definition at line 44 of file example_hand_motion_detection.c.

## ◆ has_detected

bool hand_motion_detection_handle::has_detected

Definition at line 28 of file example_hand_motion_detection.c.

## ◆ prepare_needed

bool hand_motion_detection_handle::prepare_needed

Definition at line 26 of file example_hand_motion_detection.c.

## ◆ presence_detector

acc_detector_presence_handle_t* hand_motion_detection_handle::presence_detector

Definition at line 39 of file example_hand_motion_detection.c.

## ◆ presence_metadata

acc_detector_presence_metadata_t hand_motion_detection_handle::presence_metadata

Definition at line 40 of file example_hand_motion_detection.c.

## ◆ sensor_id

acc_sensor_id_t hand_motion_detection_handle::sensor_id

Definition at line 32 of file example_hand_motion_detection.c.

## ◆ sensor_processing

acc_processing_t* hand_motion_detection_handle::sensor_processing

Definition at line 34 of file example_hand_motion_detection.c.

## ◆ sensor_processing_metadata

acc_processing_metadata_t hand_motion_detection_handle::sensor_processing_metadata

Definition at line 35 of file example_hand_motion_detection.c.

## ◆ update_index

uint32_t hand_motion_detection_handle::update_index

Definition at line 29 of file example_hand_motion_detection.c.

## ◆ update_index_at_detection

uint32_t hand_motion_detection_handle::update_index_at_detection

Definition at line 30 of file example_hand_motion_detection.c.

The documentation for this struct was generated from the following file:

- Src/use_cases/example_apps/example_hand_motion_detection.c